# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "text"
  s.version = "1.2.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Paul Battley", "Michael Neumann", "Tim Fletcher"]
  s.date = "2012-06-10"
  s.description = "A collection of text algorithms: Levenshtein, Soundex, Metaphone, Double Metaphone, Porter Stemming"
  s.email = "pbattley@gmail.com"
  s.extra_rdoc_files = ["README.rdoc"]
  s.files = ["lib/text/levenshtein.rb", "lib/text/metaphone.rb", "lib/text/soundex.rb", "lib/text/white_similarity.rb", "lib/text/double_metaphone.rb", "lib/text/porter_stemming.rb", "lib/text/version.rb", "lib/text.rb", "test/test_porter_stemming.rb", "test/data/chunky.flf", "test/data/porter_stemming_input.txt", "test/data/metaphone.txt", "test/data/double_metaphone.csv", "test/data/porter_stemming_output.txt", "test/data/metaphone_buggy.txt", "test/data/chunky.txt", "test/data/big.txt", "test/preamble.rb", "test/test_soundex.rb", "test/test_text.rb", "test/test_white_similarity.rb", "test/test_metaphone.rb", "test/test_levenshtein.rb", "test/test_double_metaphone.rb", "README.rdoc", "Rakefile"]
  s.homepage = "http://github.com/threedaymonk/text"
  s.require_paths = ["lib"]
  s.rubyforge_project = "text"
  s.rubygems_version = "1.8.23"
  s.summary = "A collection of text algorithms"

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
    else
    end
  else
  end
end
